Não tenho um arquivo pro python 3.8.1 [RESOLVIDO]

1. Não tenho um arquivo pro python 3.8.1 [RESOLVIDO]

gabriel medeiros
DeathGrips

(usa Gentoo)

Enviado em 01/04/2020 - 18:20h

Eu tentei importar o módulo
pytube 
pra um arquivo de texto, mas o interpretador não achou o módulo.
Descobri que isso acontece porque o módulo foi para
 ./.local/lib64/python3.6/site-packages 
, mas eu configurei o terminal pra usar o Python 3.8.1, e eu descobri que sequer tenho uma pasta para o mesmo.
O erro só não acontece quando eu uso o Python 3.6, mas eu, logicamente, quero usar a versão mais recente. Como posso resolver isso?
A distro que estou usando é o Gentoo.


  


2. Re: Não tenho um arquivo pro python 3.8.1

Matheus
pylm

(usa Gentoo)

Enviado em 01/04/2020 - 19:15h

Python 3.8 ainda não foi estabilizado, mas se quiser instalar mesmo assim:


echo "=dev-lang/python-3.8* ~amd64" >> /etc/portage/package.accept_keywords/python38
echo "dev-python/pip ~amd64" >> /etc/portage/package.accept_keywords/python38


O asterisco é pra desmascarar todas as revisões python 3.8, pra se manter sempre atualizado.
Crie a pasta se não existir.

Ajuste o python_targets no make.conf


PYTHON_TARGETS="python2_7 python3_6 python3_8"
PYTHON_SINGLE_TARGET="python3_6"


E aí sim instale o python 3.8 e o pip atualizado


emerge -av python:3.8 pip


Depois é só selecionar o python 3.8 como padrão usando o eselect python.







Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts